<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="20" infoRejectCounter="0">
  <summary>
    <timer wall-clock="1.369s" wall="1.369" cpu="5.20467" calls="1"/>
    <!-- memory in MB-->
    <memory final="451.96" peak="456.13"/>
  </summary>
  <header id="">
    <environment started="2023-Jul-07 15:37:14" host="momo"/>
    <progOpts problem="HierarchicalGrid" parameterFile="/code/local/Testsuite/TESTSUIT/Optimization/Optimizer/SGP/HierarichalGrid/HierarchicalGrid.xml" schemaPath="/code/local/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="23.05" name="Heavy Headache" build="Release" git_commit="dd0b0aa12f33a4610bf2362acfe183dc881e5300" git_branch="interface-sgp-external" compiled="Jul  7 2023" exe="cfsrel"/>
      <openmp CFS_NUM_THREADS="4" MKL_NUM_THREADS="4" OMP_NUM_THREADS="4"/>
    </progOpts>
    <domain nx="10" ny="5" nz="3">
      <grids>
        <timer wall-clock="0.007s" wall="0.007" cpu="0.009966" calls="1"/>
        <grid gridId="default" dimensions="3" elements="150" nodes="264"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="264" elems="150" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="back" count="66"/>
        <nodes name="back_left" count="6"/>
        <nodes name="back_right" count="6"/>
        <nodes name="bottom" count="44"/>
        <nodes name="bottom_back" count="11"/>
        <nodes name="bottom_front" count="11"/>
        <nodes name="bottom_left" count="4"/>
        <nodes name="bottom_right" count="4"/>
        <nodes name="front" count="66"/>
        <nodes name="front_left" count="6"/>
        <nodes name="front_right" count="6"/>
        <nodes name="left" count="24"/>
        <nodes name="left_bottom_back" count="1" coord="(0,0,0)"/>
        <nodes name="left_bottom_front" count="1" coord="(0,0,1)"/>
        <nodes name="left_top_back" count="1" coord="(0,1,0)"/>
        <nodes name="left_top_front" count="1" coord="(0,1,1)"/>
        <nodes name="load" count="3"/>
        <nodes name="right" count="24"/>
        <nodes name="right_bottom_back" count="1" coord="(1,0,0)"/>
        <nodes name="right_bottom_front" count="1" coord="(1,0,1)"/>
        <nodes name="right_top_back" count="1" coord="(1,1,0)"/>
        <nodes name="right_top_front" count="1" coord="(1,1,1)"/>
        <nodes name="top" count="44"/>
        <nodes name="top_back" count="11"/>
        <nodes name="top_front" count="11"/>
        <nodes name="top_left" count="4"/>
        <nodes name="top_right" count="4"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="10" ny="5" nz="3" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.019s" wall="0.019" cpu="0.105419" calls="70"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.049s" wall="0.049" cpu="0.19365" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" coef="CoefFunctionOpt" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt">
                <entities name="load" size="3" region="no_region"/>
                <coef type="CoefFunctionConst" value="[0, -0.333333, 0]"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="left" dofs="x y z"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="720" totalNumFreeEqns="720" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="720" lastFreeEqn="720" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="720" lastFreeIndex="720"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0.049s" wall="0.049" cpu="0.296461" calls="46"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.029746" calls="46"/>
              </solve>
            </summary>
            <process>
              <call number="1">
                <symbfact cpu="0.003261" wall="0.003" peakMem="1101" permanentMem="1056"/>
                <numfact cpu="0.001411" wall="0.001" peakMem="1027"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="5e-05" calls="46"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.007s" wall="0.007" cpu="0.031524" calls="1" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.047s" wall="0.047" cpu="0.201354" calls="92"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/code/local/Testsuite/TESTSUIT/Optimization/Optimizer/SGP/HierarichalGrid/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" access="physical" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume_(density)" linear="yes" access="filtered" bound_value="0.3" bound="upperBound" design="density"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0.031s" wall="0.031" cpu="0.096658" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes"/>
        <transferFunctions>
          <transferFunction type="identity" application="no_app" design="default"/>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="300" field_elems="300" field_fe_elemes="150">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
          <design type="rotAngleFirst" upperBound="3.1416" lowerBound="0" physicalLowerBound="0"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="150" bimaterial="-"/>
        </regions>
        <designMaterial type="density-times-rotated-transversal-isotropic" bias="no"/>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
    </header>
    <commit mode="forward" stride="1"/>
    <designSpace>
      <header>
        <warning> There are designs specified that are not used!</warning>

      </header>
    </designSpace>
    <optimizer>
      <summary>
        <sgp>
          <timer wall-clock="0.927s" wall="0.927" cpu="3.82668" calls="102"/>
        </sgp>
      </summary>
      <sgp>
        <params max_iter="6" max_bisecs="20" max_globs="20" J_stop="1e-06" vol_stop="0.001" p_filt_density="0" p_filt_angle="0" tau_init="1e-06" tau_incr="10" n_ip="8" model="zeroAsymptotes" filtering="non-linear" generatePlotData="no"/>
        <hierGrid n_levels="3" samples_rho="5" samples_phi="10" samples_theta="1" samples_psi="1"/>
        <bounds>
          <density min="0.001" max="1"/>
          <rotAngleFirst min="0" max="3.1416"/>
          <rotAngleSecond min="0" max="0"/>
          <rotAngleThird min="0" max="0"/>
        </bounds>
      </sgp>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0.034s" wall="0.034" cpu="0.238204" calls="92"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0.00024" calls="46"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_constraints>
      <break converged="no"/>
      <reason msg="maximum iterations reached"/>
    </summary>
    <process>
      <iteration number="0" duration="0.184" compliance="285.930940617937" volume_density="0.3"/>
      <iteration number="1" duration="0.156" compliance="43.5318092901273" volume_density="0.3007"/>
      <iteration number="2" duration="0.198" compliance="26.2429281042982" volume_density="0.2999715625"/>
      <iteration number="3" duration="0.186" compliance="19.3758739212216" volume_density="0.299035"/>
      <iteration number="4" duration="0.164" compliance="15.0466549919032" volume_density="0.300491875"/>
      <iteration number="5" duration="0.236" compliance="12.1738313085771" volume_density="0.2995553125"/>
      <iteration number="6" duration="0.236" compliance="9.81572532909233" volume_density="0.2993471875"/>
    </process>
  </optimization>
</cfsInfo>